@font-face {
    font-family: PatrickHand-Regular;
    src: url(PatrickHand-Regular.ttf);
}

html {
	font-size: 1.5rem;
	width: 100%;
	height: 100%;
}

body {
	font-family: PatrickHand-Regular;
	margin: 0 auto;
	max-width: 80rem;
	display: flex;
	flex-direction: column;
	line-height: 3rem;
	position: relative;
}

h1, h2 {
	text-align: center;
}

h1 {
	text-transform: uppercase;
	font-size: 3.5rem;
}

h1 .h1_1, .color2 {
	color: #ec4a49;
}

h1 .h1_2, .color1 {
	color: #63bcca;
}

h2 {
	margin-top: 1rem;
	font-size: 2rem;
}

#titol {
	padding-left: 10rem;
	padding-right: 10rem;
}

.nav-container {
    position: absolute;
    top: 1rem;
}

.nav-container-left {
    left: 1rem;
}

.nav-container-right {
    right: 1rem;
}

button.icon {
    padding: 0.3rem 0.15rem 0.15rem 0.2rem;
	height: 2.5rem;
	width: 2.5rem;
}

button.icon-reset, button.icon-close {
	padding: 0.15rem 0.15rem 0.15rem 0.2rem;
}

.container {
	display: inline-flex;
	margin: 1.5rem auto;
	width: 30rem;
}

.paraula-container {
	display: flex;
}

.lletres-container {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	width: 30rem;
}

#paraula {
	font-family: PatrickHand-Regular;
	font-size: 2rem;
	color: #fff;
	border-radius: 3rem;
	padding: 1rem 2rem 1rem 2rem;
	background-color: #ec4a49;
	border: none;
	font-weight: bold;
	width: 26rem;
}

.paraules-container {
	display: flex;
	justify-content: center;
	flex-direction: column;
	margin-bottom: 2rem;
	font-size: 1.5rem;
}

#paraules{
	align-self: center;
	line-height: 1.5;
}

button {
	font-family: PatrickHand-Regular;
	overflow: visible;
	text-transform: none;
	background-color: #fff;
	border: 2px solid #e7e7e7;
	margin: 0 auto;
	color: #222;
	padding: 0 1.5rem;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 1.5em;
	border-radius: 3rem;
	cursor: pointer;
	outline: 0;
	padding: 1rem;
	user-select: none;
	touch-action: none;
}

.lletra {
	width: 5rem;
	height: 5rem;
	text-transform: uppercase;
	color: #222;
	border: none;
	background-color: #63bcca;
	font-size: 3rem;
	margin: 0.5rem;
	padding: unset;
}

icon {
	height: 2rem;
	width: 2rem;
}

button:not(#delete-button):hover {
	background-color: #e7e7e7;
	color: #000;
	border: 2px solid #e7e7e7;
}

#delete-button {
	border: none;
	display: none;
	padding-left: 0;
	height: 100%;
}

.delete-button #delete-button {
	display: flex;
}

.delete-button #paraula {
	width: 23.2rem;
}

.container-notifications {
	position: absolute;
	top: 3rem;
	width: 100%;
	transition: 0.5s;
	display: flex;
	font-size: 1.5em;
}

#caixa-paraula {
	width: 100%;
	display: flex;
}

#message {
	width: 26rem;
	text-align: center;
	border: 0.2rem solid;
	border-radius: 3rem;
	margin-left: auto;
	margin-right: auto;
}

.message-ok {
	background-color: #e6ffee;
	border-color: #006622;
	color: #006622;
}

.message-error {
	background-color: #fce8e8;
	border-color: #8a0f0f;
	color: #8a0f0f;
}

.show {
	opacity: 1;
	z-index: 1;
}

.hide {
	opacity: 0;
	z-index: -1;
}

.infoItems {
	position: absolute;
	z-index: 10;
	display: none;
	list-style: none;
	padding: 10px;
	outline: solid 1px black;
	box-shadow: 0 0 5px;
	background: hsla(0,0%,100%,.95);
	border-radius: 1rem;
	width: calc(100% - 3rem);
	margin: 1rem;
	overflow: auto;
	line-height: 1rem;
}

.infoItems li {
	line-height: 2em;
}
